Subject: Re: bug#16514: 24.3.50; Region overlay looks bad on refined hunks in diff-mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Dec 2020 21:56:51 +0200

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sun, 6 Dec 2020 21:34:44 +0200
> 
> > This is expected, since we sort overlays so that the one whose extent
> > is larger wins.
> > 
> > To do anything else the overlays should have priorities.
> 
> So it's probably correct from the low-level primitives POV.
> 
> But is this a good UI? And shouldn't we maybe tweak the high-level 
> implementation (perhaps, the way how the refinements are applied) so 
> that the behavior is better?

I agree that the end result is not the best one.  If by "tweak the
high-level implementation" you meant something like use priorities for
the relevant overlays, then that's exactly what I tried to hint at.

IOW, yes, we should do something on the application level to cause the
selected region look consistently.